/// @description ae_split(string,seperator)
/// @param string
/// @param seperator

/*
Returns an array whose indexes contain
strings seperated by the seperator character

ae_split("This.Isn't.Over.",'.')
returns:
[0]="This";
[1]="Isnt";
[2]="Over";
[3]="";
*/
///ae_split(string,seperator)
var st = string(argument0);
var cha = string(argument1);
var arr;
arr[0] = st;

if(string_length(cha) > 1)
{
	show_debug_message("!!! CAUTION !!! Separator argument for ae_split can only be one character long. Using ae_split_substring instead");
	return ae_split_substring(st,cha);
}

if(string_length(st) <= 1)
{
	show_debug_message("ae_split: INPUT STRING NOT LONGER THAN 1 CHARACTER");
	return arr;
}

var ii = 1;
var index = 0;
var stringy = "";

while( ii<string_length(st)+1 )
{
	while(string_char_at(st,ii) != cha and ii<string_length(st)+1 )
	{
		stringy = stringy+string_char_at(st,ii);
		ii+=1;
	}
	arr[index] = stringy;
	stringy = "";
	index +=1;
	ii+=1;
}

return arr;


