//Standard GLSL vertex shader
attribute vec4 vPosition;
attribute vec2 vTexcoord;
attribute vec4 vColor;


varying vec4 o_vPosition;
varying vec4 o_vColor;
varying vec2 o_vTexcoord;

void main()
{
	vec4 matrixWVP = mul(gm_Matrices[MATRIX_WORLD_VIEW_PROJECTION], INPUT.vPosition);

    o_vPosition = matrixWVP;
    o_vColor    = vColor;
    o_vTexcoord = vTexcoord;
} 